#ifndef FBBLANK_H
#define FBBLANK_H

#include <QWidget>
#include "CBaseWidget.h"
#include "json/json.h"

namespace Ui {
class fbBlank;
}

class fbBlank : public CBaseWidget
{
    Q_OBJECT

signals:
    void answerChanged();
public:
    explicit fbBlank(int nOrder, QWidget *parent = nullptr);
    ~fbBlank();

    void setAnswer(QString sAnswer);
    QString getAnswer();
    int setUI(const int nWidth);
    int widgetType();
private slots:
    void on_tedt_blank_textChanged();   
private:
    Ui::fbBlank *ui;

    int m_nOrder;
};

#endif // FBBLANK_H
